.table-responsive {
    overflow-x: auto;
}

.table {
    font-size: 1rem;
    min-width: 600px;
}

.table th, .table td {
    white-space: nowrap;
}

.table thead th {
    vertical-align: bottom;
    border-bottom: 2px solid #dee2e6;
}

.table tbody tr td {
    min-width: 100px;
}


.custom-table th, .custom-table td {
    vertical-align: middle;
    text-align: center;
    display: table-cell; /* Ensure vertical-align works */
}
.custom-table td {
    height: 70px; /* Increase the height of the rows */
    white-space: normal; /* Wrap text */
    word-wrap: break-word; /* Wrap text */  
}

.custom-table .form-control {
    margin-top: 15%;
    margin-bottom: 15%;
    vertical-align: middle; /* Center the input box vertically */
}


@media (max-width: 768px) {
    .table {
        font-size: 0.9rem;
    }

    .table tbody tr td {
        min-width: 80px;
    }
}

@media (max-width: 576px) {
    .table {
        font-size: 0.8rem;
    }

    .table tbody tr td {
        min-width: 60px;
    }

    .form-control {
        font-size: 0.8rem;
    }
}


@media (max-width: 800px) {
    .table {
        font-size: 0.8rem;
    }

    .table tbody tr td {
        min-width: 60px;
    }

    .form-control {
        font-size: 0.8rem;
    }
}

.custom-table thead.thead-custom {
    background-color: darkslategrey;
    color: #ffffff;
}

.custom-table th, .custom-table td {
    padding: 15px;
    vertical-align: middle;
}

.custom-table tbody tr {
    height: 50px;
}

/* Media queries for responsiveness */
@media (max-width: 768px) {
    .d-flex .btn-group, .d-flex .form-group {
        width: 100%;
        margin-right: 0;
    }

    .d-flex .form-group {
        margin-top: 10px;
    }
}



.custom-table thead th {
    vertical-align: middle;
    font-weight: bold;
    text-align: center;
}

.color-code {
    width: 20px;
    height: 20px;
    border-radius: 50%;
    display: inline-block;
}

